import { ViewBase } from './ViewBase';

/**
 * 导航视图基类
 *
 * @export
 * @class ExpViewBase
 * @extends {ViewBase}
 */
export class ExpViewBase extends ViewBase {

    /**
     * 加载模型
     *
     * @protected
     * @memberof AccountInfoBase
     */
    protected async loadModel(): Promise<any> {
        if (this.context[this.appDeName]) {
            this.appEntityService.getDataInfo(this.context, {}, false).then((response: any) => {
                if (!response || response.status !== 200) {
                    return;
                }
                const { data } = response;
                if (data && data[this.appDeMajor]) {
                    Object.assign(this.model, { dataInfo: data[this.appDeMajor] });
                    if (this.$route) {
                        this.$route.meta.info = this.model.dataInfo;
                    }
                    Object.assign(this.model, { srfTitle: `${this.$t(this.model.srfTitle)} - ${this.model.dataInfo}` });
                    this.$appService.navHistory.setCaption({ tag: this.viewtag, info: this.model.dataInfo });
                }
            })
        }
    }

}